CEL: Crystal Entity Layer: iInventoryQuestTriggerFactory Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iInventoryQuestTriggerFactory Struct Reference

This interface is implemented by the trigger that fires when a certain inventory gets some entity. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions
virtual void | SetChildEntityParameter (const char *child_entity)=0
| Set the name of the entity to watch for.
virtual void | SetEntityParameter (const char *entity, const char *tag=0)=0
| Set the name of the entity containing the pcinventory property class on which this trigger will fire.

## Detailed Description

This interface is implemented by the trigger that fires when a certain inventory gets some entity.

You can query this interface from the trigger factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this trigger type is 'cel.questtrigger.inventory'.

In XML, factories recognize the following attributes on the 'fireon' node:

- entity: the name of the entity that contains the pcinventory property class.
- entity_tag: optional tag used to find the right property class from the entity.
- child_entity: the name of the entity to watch for.

Definition at line 966 of file questmanager.h.

## Member Function Documentation

virtual void iInventoryQuestTriggerFactory::SetChildEntityParameter | ( | const char * | child_entity | ) | `[pure virtual]`

  | Set the name of the entity to watch for. Parameters:
  | child_entity | is the name of the entity or a parameter (starts with '$').

virtual void iInventoryQuestTriggerFactory::SetEntityParameter | ( | const char * | entity,
|  | const char * | tag = `0`
| ) | `[pure virtual]`

  | Set the name of the entity containing the pcinventory property class on which this trigger will fire. Parameters:
  | entity | is the name of the entity or a parameter (starts with '$').
  | tag | is the optional tag of the entity or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h